<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
    <meta name="GENERATOR" content="Quadralay WebWorks Publisher Professional Edition 6.0.7" />
    <meta name="TEMPLATEBASE" content="DataDirect WWH 2.0" />
    <meta name="LASTUPDATED" content="09/05/02 10:39:58" />
    <title>jdbcsupp16.html</title>
    <link rel="StyleSheet" href="document.css" type="text/css" media="screen" />
  </head>

  <body>
    <script type="text/javascript" language="JavaScript">
     <!--
      function  WWHUpdateFavorite(ParamHREF)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fUpdateFavorite(ParamHREF);
        }
      }

      function  WWHSyncTOC(ParamHREF)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fSyncTOC(ParamHREF);
        }
      }

      function  WWHShowPopup(ParamContext,
                             ParamLink,
                             ParamEvent)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fShowPopup(ParamContext, ParamLink, ParamEvent);
        }
      }

      function  WWHHidePopup()
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fHidePopup();
        }
      }

      function  WWHClickedPopup(ParamContext,
                                ParamLink)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          location.href = parent.WWHelpFrameSet.fClickedPopup(ParamContext, ParamLink);
        }
      }
     // -->
    </script>

    <script type="text/javascript" language="JavaScript">
     <!--
      var  WWHelpHREF = location.href;


      WWHUpdateFavorite(WWHelpHREF);
     // -->
    </script>

    <blockquote>
<h2 id="544847" class="NewHTMLPage">
  <a name="544847"> </a>
</h2><hr />
<p id="544343" class="Body">
  <a name="544343"> </a>

<table border="1" cellpadding="5" cellspacing="0">
  <caption></caption>
  <tr bgcolor="#FFFFFF" valign="bottom">
    <th><h4 id="558081" class="Heading3">
  <a name="558081"> </a>Statement Object  
</h4>
<a name="558082"> </a><div id="558082" class="CellHeading">Methods</div></th>
    <th><a name="558084"> </a><div id="558084" class="CellHeading">Version</div><a name="558085"> </a><div id="558085" class="CellHeading">Introduced</div></th>
    <th><a name="558087"> </a><div id="558087" class="CellHeading"><br /></div><a name="558088"> </a><div id="558088" class="CellHeading">Supported</div></th>
    <th><a name="558090"> </a><div id="558090" class="CellHeading"><br /></div><a name="558091"> </a><div id="558091" class="CellHeading">Comments</div></th>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558093"> </a><div id="558093" class="CellBody">void addBatch (String) </div></td>
    <td bgcolor="#E6E6E6"><a name="558095"> </a><div id="558095" class="CellBody">2.0 Core </div></td>
    <td bgcolor="#E6E6E6"><a name="558097"> </a><div id="558097" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558099"> </a><div id="558099" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558101"> </a><div id="558101" class="CellBody">void cancel () </div></td>
    <td bgcolor="#E6E6E6"><a name="558103"> </a><div id="558103" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="558105"> </a><div id="558105" class="CellBody">Yes<span style="color: #000000;  font-style: normal; font-weight: normal; text-decoration: none; text-transform: none; vertical-align: baseline"> </span></div></td>
    <td bgcolor="#E6E6E6"><a name="558107"> </a><div id="558107" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558109"> </a><div id="558109" class="CellBody">void clearBatch () </div></td>
    <td bgcolor="#E6E6E6"><a name="558111"> </a><div id="558111" class="CellBody">2.0 Core </div></td>
    <td bgcolor="#E6E6E6"><a name="558113"> </a><div id="558113" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558115"> </a><div id="558115" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558117"> </a><div id="558117" class="CellBody">void clearWarnings () </div></td>
    <td bgcolor="#E6E6E6"><a name="558119"> </a><div id="558119" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="558121"> </a><div id="558121" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558123"> </a><div id="558123" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558125"> </a><div id="558125" class="CellBody">void close () </div></td>
    <td bgcolor="#E6E6E6"><a name="558127"> </a><div id="558127" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="558129"> </a><div id="558129" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558131"> </a><div id="558131" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558133"> </a><div id="558133" class="CellBody">boolean execute (String) </div></td>
    <td bgcolor="#E6E6E6"><a name="558135"> </a><div id="558135" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="558137"> </a><div id="558137" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558139"> </a><div id="558139" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558141"> </a><div id="558141" class="CellBody">int [] executeBatch () </div></td>
    <td bgcolor="#E6E6E6"><a name="558143"> </a><div id="558143" class="CellBody">2.0 Core </div></td>
    <td bgcolor="#E6E6E6"><a name="558145"> </a><div id="558145" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558147"> </a><div id="558147" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558149"> </a><div id="558149" class="CellBody">ResultSet executeQuery (String) </div></td>
    <td bgcolor="#E6E6E6"><a name="558151"> </a><div id="558151" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="558153"> </a><div id="558153" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558155"> </a><div id="558155" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558157"> </a><div id="558157" class="CellBody">int executeUpdate (String) </div></td>
    <td bgcolor="#E6E6E6"><a name="558159"> </a><div id="558159" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="558161"> </a><div id="558161" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558163"> </a><div id="558163" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558165"> </a><div id="558165" class="CellBody">Connection getConnection () </div></td>
    <td bgcolor="#E6E6E6"><a name="558167"> </a><div id="558167" class="CellBody">2.0 Core </div></td>
    <td bgcolor="#E6E6E6"><a name="558169"> </a><div id="558169" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558171"> </a><div id="558171" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558173"> </a><div id="558173" class="CellBody">int getFetchDirection () </div></td>
    <td bgcolor="#E6E6E6"><a name="558175"> </a><div id="558175" class="CellBody">2.0 Core </div></td>
    <td bgcolor="#E6E6E6"><a name="558177"> </a><div id="558177" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558179"> </a><div id="558179" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558181"> </a><div id="558181" class="CellBody">int getFetchSize () </div></td>
    <td bgcolor="#E6E6E6"><a name="558183"> </a><div id="558183" class="CellBody">2.0 Core </div></td>
    <td bgcolor="#E6E6E6"><a name="558185"> </a><div id="558185" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558187"> </a><div id="558187" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558189"> </a><div id="558189" class="CellBody">int getMaxFieldSize () </div></td>
    <td bgcolor="#E6E6E6"><a name="558191"> </a><div id="558191" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="558193"> </a><div id="558193" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558195"> </a><div id="558195" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558197"> </a><div id="558197" class="CellBody">int getMaxRows () </div></td>
    <td bgcolor="#E6E6E6"><a name="558199"> </a><div id="558199" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="558201"> </a><div id="558201" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558203"> </a><div id="558203" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558205"> </a><div id="558205" class="CellBody">boolean getMoreResults () </div></td>
    <td bgcolor="#E6E6E6"><a name="558207"> </a><div id="558207" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="558209"> </a><div id="558209" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558211"> </a><div id="558211" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558213"> </a><div id="558213" class="CellBody">int getQueryTimeout () </div></td>
    <td bgcolor="#E6E6E6"><a name="558215"> </a><div id="558215" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="558217"> </a><div id="558217" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558219"> </a><div id="558219" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558221"> </a><div id="558221" class="CellBody">ResultSet getResultSet () </div></td>
    <td bgcolor="#E6E6E6"><a name="558223"> </a><div id="558223" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="558225"> </a><div id="558225" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558227"> </a><div id="558227" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558229"> </a><div id="558229" class="CellBody">int getResultSetConcurrency () </div></td>
    <td bgcolor="#E6E6E6"><a name="558231"> </a><div id="558231" class="CellBody">2.0 Core </div></td>
    <td bgcolor="#E6E6E6"><a name="558233"> </a><div id="558233" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558235"> </a><div id="558235" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558237"> </a><div id="558237" class="CellBody">int getResultSetType () </div></td>
    <td bgcolor="#E6E6E6"><a name="558239"> </a><div id="558239" class="CellBody">2.0 Core </div></td>
    <td bgcolor="#E6E6E6"><a name="558241"> </a><div id="558241" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558243"> </a><div id="558243" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558245"> </a><div id="558245" class="CellBody">int getUpdateCount () </div></td>
    <td bgcolor="#E6E6E6"><a name="558247"> </a><div id="558247" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="558249"> </a><div id="558249" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558251"> </a><div id="558251" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558253"> </a><div id="558253" class="CellBody">SQLWarning getWarnings () </div></td>
    <td bgcolor="#E6E6E6"><a name="558255"> </a><div id="558255" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="558257"> </a><div id="558257" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558259"> </a><div id="558259" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558261"> </a><div id="558261" class="CellBody">void setCursorName (String) </div></td>
    <td bgcolor="#E6E6E6"><a name="558263"> </a><div id="558263" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="558265"> </a><div id="558265" class="CellBody">No </div></td>
    <td bgcolor="#E6E6E6"><a name="558267"> </a><div id="558267" class="CellBody">Throws "unsupported method" exception.</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558269"> </a><div id="558269" class="CellBody">void setEscapeProcessing (boolean) </div></td>
    <td bgcolor="#E6E6E6"><a name="558271"> </a><div id="558271" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="558273"> </a><div id="558273" class="CellBody">Yes<span style="color: #000000;  font-style: normal; font-weight: normal; text-decoration: none; text-transform: none; vertical-align: baseline"> </span></div></td>
    <td bgcolor="#E6E6E6"><a name="558275"> </a><div id="558275" class="CellBody">Ignored. </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558277"> </a><div id="558277" class="CellBody">void setFetchDirection (int) </div></td>
    <td bgcolor="#E6E6E6"><a name="558279"> </a><div id="558279" class="CellBody">2.0 Core </div></td>
    <td bgcolor="#E6E6E6"><a name="558281"> </a><div id="558281" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558283"> </a><div id="558283" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558285"> </a><div id="558285" class="CellBody">void setFetchSize (int) </div></td>
    <td bgcolor="#E6E6E6"><a name="558287"> </a><div id="558287" class="CellBody">2.0 Core </div></td>
    <td bgcolor="#E6E6E6"><a name="558289"> </a><div id="558289" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558291"> </a><div id="558291" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558293"> </a><div id="558293" class="CellBody">void setMaxFieldSize (int) </div></td>
    <td bgcolor="#E6E6E6"><a name="558295"> </a><div id="558295" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="558297"> </a><div id="558297" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558299"> </a><div id="558299" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558301"> </a><div id="558301" class="CellBody">void setMaxRows (int) </div></td>
    <td bgcolor="#E6E6E6"><a name="558303"> </a><div id="558303" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="558305"> </a><div id="558305" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558307"> </a><div id="558307" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="558309"> </a><div id="558309" class="CellBody">void setQueryTimeout (int) </div></td>
    <td bgcolor="#E6E6E6"><a name="558311"> </a><div id="558311" class="CellBody">1.0 </div></td>
    <td bgcolor="#E6E6E6"><a name="558313"> </a><div id="558313" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="558315"> </a><div id="558315" class="CellBody"></div></td>
  </tr>
</table>




</p>
<p id="544621" class="Body">
  <a name="544621"> </a>
</p>
    </blockquote>

    <hr />

    <table border="0">
      <tr>
        <td width="23">
<a href="jdbcsupp15.html">
      <img alt="Previous Document" border="0" src="images/prev.gif" width="23" height="21" />
    </a>
        </td>
        <td width="23" class="CellBody">
        Previous Page       
        </td>
        <td width="23">
<a href="jdbcsupp17.html">
      <img alt="Next Document" border="0" src="images/next.gif" width="23" height="21" />
    </a>
        </td>
        <td width="23" class="CellBody">
        Next Page       
        </td>
        <td width="23">
          <a href="javascript:WWHSyncTOC(WWHelpHREF);">
            <img alt="Synchronize TOC" border="0" src="images/sync.gif" width="23" height="21" />
          </a>
        </td>
        <td width="120" class="CellBody">
        Synchronize with Contents
        </td>
      </tr>
    </table>

   <div id="WWHelpPopupDIV" style="position: absolute ; z-index: 1 ; visibility: hidden ; top: 0px ; left: 0px">
    <script type="text/javascript" language="JavaScript">
     <!--
      if ((parent != null) &&
          (parent.WWHelpFrameSet != null))
      {
        if (document.all != null)  // Non-Netscape browser
        {
          document.writeln(parent.WWHelpFrameSet.mPopup.fFormat("Popup"));
        }
      }
     // -->
    </script>
   </div>
  </body>
</html>
